Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4766)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4767)
@@ -772,308 +782,305 @@
 !
 !-- Public data structures
-    PUBLIC real_1d_3d,                                                         &
-           real_2d,                                                            &
+    PUBLIC real_1d_3d,                                                                             &
+           real_2d,                                                                                &
            real_3d
 !
 !-- Public variables
-    PUBLIC albedo_pars_f, albedo_type_f, buildings_f,                          &
-           building_id_f, building_pars_f, building_surface_pars_f,            &
-           building_type_f,                                                    &
-           char_fill,                                                          &
-           char_lod,                                                           &
-           chem_emis, chem_emis_att, chem_emis_att_type, chem_emis_val_type,   &
-           coord_ref_sys,                                                      &
-           crs_list,                                                           &
-           init_3d, init_model, input_file_atts,                               &
-           input_file_dynamic,                                                 &
-           input_file_static,                                                  &
-           input_pids_static,                                                  &
-           input_pids_dynamic, input_pids_vm, input_file_vm,                   &
-           input_pids_wtm, input_file_wtm,                                     &
-           num_var_pids,                                                       &
-           pavement_pars_f, pavement_subsurface_pars_f, pavement_type_f,       &
-           pids_id,                                                            &
-           root_area_density_lsm_f, soil_pars_f,                               &
-           soil_type_f, street_crossing_f, street_type_f, surface_fraction_f,  &
-           terrain_height_f, vegetation_pars_f, vegetation_type_f,             &
-           vars_pids,                                                          &
-           water_pars_f, water_type_f
+    PUBLIC albedo_pars_f,                                                                          &
+           albedo_type_f,                                                                          &
+           buildings_f,                                                                            &
+           building_id_f,                                                                          &
+           building_pars_f,                                                                        &
+           building_surface_pars_f,                                                                &
+           building_type_f,                                                                        &
+           char_fill,                                                                              &
+           char_lod,                                                                               &
+           chem_emis,                                                                              &
+           chem_emis_att,                                                                          &
+           chem_emis_att_type,                                                                     &
+           chem_emis_val_type,                                                                     &
+           coord_ref_sys,                                                                          &
+           crs_list,                                                                               &
+           init_3d,                                                                                &
+           init_model,                                                                             &
+           input_file_atts,                                                                        &
+           input_file_dynamic,                                                                     &
+           input_file_static,                                                                      &
+           input_file_vm,                                                                          &
+           input_file_wtm,                                                                         &
+           input_pids_static,                                                                      &
+           input_pids_dynamic,                                                                     &
+           input_pids_vm,                                                                          &
+           input_pids_wtm,                                                                         &
+           num_var_pids,                                                                           &
+           pavement_pars_f,                                                                        &
+           pavement_subsurface_pars_f,                                                             &
+           pavement_type_f,                                                                        &
+           pids_id,                                                                                &
+           root_area_density_lsm_f,                                                                &
+           soil_pars_f,                                                                            &
+           soil_type_f,                                                                            &
+           street_crossing_f,                                                                      &
+           street_type_f,                                                                          &
+           surface_fraction_f,                                                                     &
+           terrain_height_f,                                                                       &
+           vars_pids,                                                                              &
+           vegetation_pars_f,                                                                      &
+           vegetation_type_f,                                                                      &
+           water_pars_f,                                                                           &
+           water_type_f
 !
 !-- Public uv exposure variables
-    PUBLIC building_obstruction_f, input_file_uvem, input_pids_uvem,           &
-           netcdf_data_input_uvem,                                             &
-           uvem_integration_f, uvem_irradiance_f,                              &
-           uvem_projarea_f, uvem_radiance_f
+    PUBLIC building_obstruction_f,                                                                 &
+           input_file_uvem,                                                                        &
+           input_pids_uvem,                                                                        &
+           netcdf_data_input_uvem,                                                                 &
+           uvem_integration_f,                                                                     &
+           uvem_irradiance_f,                                                                      &
+           uvem_projarea_f,                                                                        &
+           uvem_radiance_f
 
 !
 !-- Public subroutines
-    PUBLIC netcdf_data_input_check_dynamic,                                    &
-           netcdf_data_input_check_static,                                     &
-           netcdf_data_input_chemistry_data,                                   &
-           get_dimension_length,                                               &
-           netcdf_data_input_inquire_file,                                     &
-           netcdf_data_input_init,                                             &
-           netcdf_data_input_init_3d,                                          &
-           netcdf_data_input_surface_data,                                     &
-           netcdf_data_input_topo,                                             &
-           get_attribute,                                                      &
-           get_variable,                                                       &
-           get_variable_pr,                                                    &
-           open_read_file,                                                     &
-           check_existence,                                                    &
-           inquire_fill_value,                                                 &
-           inquire_num_variables,                                              &
-           inquire_variable_names,                                             &
-           close_input_file
+    PUBLIC check_existence,                                                                        &
+           close_input_file,                                                                       &
+           get_attribute,                                                                          &
+           get_dimension_length,                                                                   &
+           get_variable,                                                                           &
+           get_variable_pr,                                                                        &
+           inquire_fill_value,                                                                     &
+           inquire_num_variables,                                                                  &
+           inquire_variable_names,                                                                 &
+           netcdf_data_input_check_dynamic,                                                        &
+           netcdf_data_input_check_static,                                                         &
+           netcdf_data_input_chemistry_data,                                                       &
+           netcdf_data_input_inquire_file,                                                         &
+           netcdf_data_input_init,                                                                 &
+           netcdf_data_input_init_3d,                                                              &
+           netcdf_data_input_surface_data,                                                         &
+           netcdf_data_input_topo,                                                                 &
+           open_read_file
 
 
  CONTAINS
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Inquires whether NetCDF input files according to Palm-input-data standard
-!> exist. Moreover, basic checks are performed.
-!------------------------------------------------------------------------------!
-    SUBROUTINE netcdf_data_input_inquire_file
-
-       USE control_parameters,                                                 &
-           ONLY:  topo_no_distinct
-
-       IMPLICIT NONE
+!> Inquires whether NetCDF input files according to Palm-input-data standard exist. Moreover, basic
+!> checks are performed.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE netcdf_data_input_inquire_file
+
+    USE control_parameters,                                                                        &
+        ONLY:  topo_no_distinct
+
+    IMPLICIT NONE
 
 #if defined ( __netcdf )
-       INQUIRE( FILE = TRIM( input_file_static )   // TRIM( coupling_char ),   &
-                EXIST = input_pids_static  )
-       INQUIRE( FILE = TRIM( input_file_dynamic ) // TRIM( coupling_char ),    &
-                EXIST = input_pids_dynamic )
-       INQUIRE( FILE = TRIM( input_file_chem )    // TRIM( coupling_char ),    &
-                EXIST = input_pids_chem )
-       INQUIRE( FILE = TRIM( input_file_uvem )    // TRIM( coupling_char ),    &
-                EXIST = input_pids_uvem  )
-       INQUIRE( FILE = TRIM( input_file_vm )      // TRIM( coupling_char ),    &
-                EXIST = input_pids_vm )
-       INQUIRE( FILE = TRIM( input_file_wtm )     // TRIM( coupling_char ),    &
-                EXIST = input_pids_wtm )
+    INQUIRE( FILE = TRIM( input_file_static )   // TRIM( coupling_char ),                          &
+             EXIST = input_pids_static  )
+    INQUIRE( FILE = TRIM( input_file_dynamic ) // TRIM( coupling_char ),                           &
+             EXIST = input_pids_dynamic )
+    INQUIRE( FILE = TRIM( input_file_chem )    // TRIM( coupling_char ),                           &
+             EXIST = input_pids_chem )
+    INQUIRE( FILE = TRIM( input_file_uvem )    // TRIM( coupling_char ),                           &
+             EXIST = input_pids_uvem )
+    INQUIRE( FILE = TRIM( input_file_vm )      // TRIM( coupling_char ),                           &
+             EXIST = input_pids_vm )
+    INQUIRE( FILE = TRIM( input_file_wtm )     // TRIM( coupling_char ),                           &
+             EXIST = input_pids_wtm )
 #endif
 
 !
-!--    As long as topography can be input via ASCII format, no distinction
-!--    between building and terrain can be made. This case, classify all
-!--    surfaces as default type. Same in case land-surface and urban-surface
-!--    model are not applied.
-       IF ( .NOT. input_pids_static )  THEN
-          topo_no_distinct = .TRUE.
-       ENDIF
-
-    END SUBROUTINE netcdf_data_input_inquire_file
-
-!------------------------------------------------------------------------------!
+!-- As long as topography can be input via ASCII format, no distinction between building and terrain
+!-- can be done. This case, classify all surfaces as default type. Same in case land-surface and
+!-- urban-surface model are not applied.
+    IF ( .NOT. input_pids_static )  THEN
+       topo_no_distinct = .TRUE.
+    ENDIF
+
+ END SUBROUTINE netcdf_data_input_inquire_file
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Reads global attributes and coordinate reference system required for 
-!> initialization of the model.
-!------------------------------------------------------------------------------!
-    SUBROUTINE netcdf_data_input_init
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  id_mod     !< NetCDF id of input file
-       INTEGER(iwp) ::  var_id_crs !< NetCDF id of variable crs
-
-!
-!--    Define default list of crs attributes. This is required for coordinate
-!--    transformation.
-       crs_list = (/ coord_ref_sys%semi_major_axis,                            &
-                     coord_ref_sys%inverse_flattening,                         &
-                     coord_ref_sys%longitude_of_prime_meridian,                &
-                     coord_ref_sys%longitude_of_central_meridian,              &
-                     coord_ref_sys%scale_factor_at_central_meridian,           &
-                     coord_ref_sys%latitude_of_projection_origin,              &
-                     coord_ref_sys%false_easting,                              &
-                     coord_ref_sys%false_northing /)
-
-       IF ( .NOT. input_pids_static )  RETURN
+!> Reads global attributes and coordinate reference system required for initialization of the model.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE netcdf_data_input_init
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  id_mod     !< NetCDF id of input file
+    INTEGER(iwp) ::  var_id_crs !< NetCDF id of variable crs
+
+!
+!-- Define default list of crs attributes. This is required for coordinate transformation.
+    crs_list = (/ coord_ref_sys%semi_major_axis,                                                   &
+                  coord_ref_sys%inverse_flattening,                                                &
+                  coord_ref_sys%longitude_of_prime_meridian,                                       &
+                  coord_ref_sys%longitude_of_central_meridian,                                     &
+                  coord_ref_sys%scale_factor_at_central_meridian,                                  &
+                  coord_ref_sys%latitude_of_projection_origin,                                     &
+                  coord_ref_sys%false_easting,                                                     &
+                  coord_ref_sys%false_northing /)
+
+    IF ( .NOT. input_pids_static )  RETURN
 
 #if defined ( __netcdf )
 !
-!--    Open file in read-only mode
-       CALL open_read_file( TRIM( input_file_static ) //                       &
-                            TRIM( coupling_char ), id_mod )
-!
-!--    Read global attributes
-       CALL get_attribute( id_mod, input_file_atts%origin_lat_char,            &
-                           input_file_atts%origin_lat, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%origin_lon_char,            &
-                           input_file_atts%origin_lon, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%origin_time_char,           &
-                           input_file_atts%origin_time, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%origin_x_char,              &
-                           input_file_atts%origin_x, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%origin_y_char,              &
-                           input_file_atts%origin_y, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%origin_z_char,              &
-                           input_file_atts%origin_z, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%rotation_angle_char,        &
-                           input_file_atts%rotation_angle, .TRUE. )
-
-       CALL get_attribute( id_mod, input_file_atts%author_char,                &
-                           input_file_atts%author, .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%contact_person_char,        &
-                           input_file_atts%contact_person, .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%institution_char,           &
-                           input_file_atts%institution,    .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%acronym_char,               &
-                           input_file_atts%acronym,        .TRUE., no_abort=.FALSE. )
-
-       CALL get_attribute( id_mod, input_file_atts%campaign_char,              &
-                           input_file_atts%campaign, .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%location_char,              &
-                           input_file_atts%location, .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%site_char,                  &
-                           input_file_atts%site,     .TRUE., no_abort=.FALSE. )
-
-       CALL get_attribute( id_mod, input_file_atts%source_char,                &
-                           input_file_atts%source,     .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%references_char,            &
-                           input_file_atts%references, .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%keywords_char,              &
-                           input_file_atts%keywords,   .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%licence_char,               &
-                           input_file_atts%licence,    .TRUE., no_abort=.FALSE. )
-       CALL get_attribute( id_mod, input_file_atts%comment_char,               &
-                           input_file_atts%comment,    .TRUE., no_abort=.FALSE. )
-!
-!--    Read coordinate reference system if available
-       nc_stat = NF90_INQ_VARID( id_mod, 'crs', var_id_crs )
-       IF ( nc_stat == NF90_NOERR )  THEN
-          CALL get_attribute( id_mod, 'epsg_code',                             &
-                              coord_ref_sys%epsg_code,                         &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'false_easting',                         &
-                              coord_ref_sys%false_easting,                     &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'false_northing',                        &
-                              coord_ref_sys%false_northing,                    &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'grid_mapping_name',                     &
-                              coord_ref_sys%grid_mapping_name,                 &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'inverse_flattening',                    &
-                              coord_ref_sys%inverse_flattening,                &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'latitude_of_projection_origin',         &
-                              coord_ref_sys%latitude_of_projection_origin,     &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'long_name',                             &
-                              coord_ref_sys%long_name,                         &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'longitude_of_central_meridian',         &
-                              coord_ref_sys%longitude_of_central_meridian,     &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'longitude_of_prime_meridian',           &
-                              coord_ref_sys%longitude_of_prime_meridian,       &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'scale_factor_at_central_meridian',      &
-                              coord_ref_sys%scale_factor_at_central_meridian,  &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'semi_major_axis',                       &
-                              coord_ref_sys%semi_major_axis,                   &
-                              .FALSE., 'crs' )
-          CALL get_attribute( id_mod, 'units',                                 &
-                              coord_ref_sys%units,                             &
-                              .FALSE., 'crs' )
-       ELSE
-!
-!--       Calculate central meridian from origin_lon
-          coord_ref_sys%longitude_of_central_meridian = &
-             CEILING( input_file_atts%origin_lon / 6.0_wp ) * 6.0_wp - 3.0_wp
-       ENDIF
-!
-!--    Finally, close input file
-       CALL close_input_file( id_mod )
+!-- Open file in read-only mode
+    CALL open_read_file( TRIM( input_file_static ) // TRIM( coupling_char ), id_mod )
+!
+!-- Read global attributes
+    CALL get_attribute( id_mod, input_file_atts%origin_lat_char,                                   &
+                        input_file_atts%origin_lat, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%origin_lon_char,                                   &
+                        input_file_atts%origin_lon, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%origin_time_char,                                  &
+                        input_file_atts%origin_time, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%origin_x_char,                                     &
+                        input_file_atts%origin_x, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%origin_y_char,                                     &
+                        input_file_atts%origin_y, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%origin_z_char,                                     &
+                        input_file_atts%origin_z, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%rotation_angle_char,                               &
+                        input_file_atts%rotation_angle, .TRUE. )
+
+    CALL get_attribute( id_mod, input_file_atts%author_char,                                       &
+                        input_file_atts%author, .TRUE., no_abort=.FALSE. )
+
+    CALL get_attribute( id_mod, input_file_atts%contact_person_char,                               &
+                        input_file_atts%contact_person, .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%institution_char,                                  &
+                        input_file_atts%institution,    .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%acronym_char,                                      &
+                        input_file_atts%acronym,        .TRUE., no_abort=.FALSE. )
+
+    CALL get_attribute( id_mod, input_file_atts%campaign_char,                                     &
+                        input_file_atts%campaign, .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%location_char,                                     &
+                        input_file_atts%location, .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%site_char,                                         &
+                        input_file_atts%site,     .TRUE., no_abort=.FALSE. )
+
+    CALL get_attribute( id_mod, input_file_atts%source_char,                                       &
+                        input_file_atts%source,     .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%references_char,                                   &
+                        input_file_atts%references, .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%keywords_char,                                     &
+                        input_file_atts%keywords,   .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%licence_char,                                      &
+                        input_file_atts%licence,    .TRUE., no_abort=.FALSE. )
+    CALL get_attribute( id_mod, input_file_atts%comment_char,                                      &
+                        input_file_atts%comment,    .TRUE., no_abort=.FALSE. )
+!
+!-- Read coordinate reference system if available
+    nc_stat = NF90_INQ_VARID( id_mod, 'crs', var_id_crs )
+    IF ( nc_stat == NF90_NOERR )  THEN
+       CALL get_attribute( id_mod, 'epsg_code', coord_ref_sys%epsg_code, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'false_easting', coord_ref_sys%false_easting, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'false_northing', coord_ref_sys%false_northing, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'grid_mapping_name', coord_ref_sys%grid_mapping_name, .FALSE.,  &
+                           'crs' )
+       CALL get_attribute( id_mod, 'inverse_flattening', coord_ref_sys%inverse_flattening, .FALSE.,&
+                           'crs' )
+       CALL get_attribute( id_mod, 'latitude_of_projection_origin',                                &
+                           coord_ref_sys%latitude_of_projection_origin, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'long_name', coord_ref_sys%long_name, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'longitude_of_central_meridian',                                &
+                           coord_ref_sys%longitude_of_central_meridian, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'longitude_of_prime_meridian',                                  &
+                           coord_ref_sys%longitude_of_prime_meridian, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'scale_factor_at_central_meridian',                             &
+                           coord_ref_sys%scale_factor_at_central_meridian, .FALSE., 'crs' )
+       CALL get_attribute( id_mod, 'semi_major_axis', coord_ref_sys%semi_major_axis, .FALSE., 'crs')
+       CALL get_attribute( id_mod, 'units', coord_ref_sys%units, .FALSE., 'crs' )
+    ELSE
+!
+!--    Calculate central meridian from origin_lon
+       coord_ref_sys%longitude_of_central_meridian =                                               &
+                                   CEILING( input_file_atts%origin_lon / 6.0_wp ) * 6.0_wp - 3.0_wp
+    ENDIF
+!
+!-- Finally, close input file
+    CALL close_input_file( id_mod )
 #endif
 !
-!--    Copy latitude, longitude, origin_z, rotation angle on init type
-!--    NOTE: A shifting height might have already been saved to orgin_z in
-!--    init_grid; therefore, do not override but add the reference height from
-!--    the input file.
-       init_model%latitude        = input_file_atts%origin_lat
-       init_model%longitude       = input_file_atts%origin_lon
-       init_model%origin_time     = input_file_atts%origin_time  
-       init_model%origin_x        = input_file_atts%origin_x
-       init_model%origin_y        = input_file_atts%origin_y
-       init_model%origin_z        = init_model%origin_z + input_file_atts%origin_z
-       init_model%rotation_angle  = input_file_atts%rotation_angle  
-
-!
-!--    Update list of crs attributes. This is required for coordinate 
-!--    transformation. 
-       crs_list = (/ coord_ref_sys%semi_major_axis,                            &
-                     coord_ref_sys%inverse_flattening,                         &
-                     coord_ref_sys%longitude_of_prime_meridian,                &
-                     coord_ref_sys%longitude_of_central_meridian,              &
-                     coord_ref_sys%scale_factor_at_central_meridian,           &
-                     coord_ref_sys%latitude_of_projection_origin,              &
-                     coord_ref_sys%false_easting,                              &
-                     coord_ref_sys%false_northing /)
-!
-!--    In case of nested runs, each model domain might have different longitude
-!--    and latitude, which would result in different Coriolis parameters and
-!--    sun-zenith angles. To avoid this, longitude and latitude in each model
-!--    domain will be set to the values of the root model. Please note, this
-!--    synchronization is required already here. 
+!-- Copy latitude, longitude, origin_z, rotation angle on init type.
+!-- Note: A shifting height might have already been saved to orgin_z in init_grid; therefore, do not
+!--       override but add the reference height from the input file.
+    init_model%latitude       = input_file_atts%origin_lat
+    init_model%longitude      = input_file_atts%origin_lon
+    init_model%origin_time    = input_file_atts%origin_time
+    init_model%origin_x       = input_file_atts%origin_x
+    init_model%origin_y       = input_file_atts%origin_y
+    init_model%origin_z       = init_model%origin_z + input_file_atts%origin_z
+    init_model%rotation_angle = input_file_atts%rotation_angle
+
+!
+!-- Update list of crs attributes. This is required for coordinate transformation.
+    crs_list = (/ coord_ref_sys%semi_major_axis,                                                   &
+                  coord_ref_sys%inverse_flattening,                                                &
+                  coord_ref_sys%longitude_of_prime_meridian,                                       &
+                  coord_ref_sys%longitude_of_central_meridian,                                     &
+                  coord_ref_sys%scale_factor_at_central_meridian,                                  &
+                  coord_ref_sys%latitude_of_projection_origin,                                     &
+                  coord_ref_sys%false_easting,                                                     &
+                  coord_ref_sys%false_northing /)
+!
+!-- In case of nested runs, each model domain might have different longitude and latitude, which
+!-- would result in different Coriolis parameters and sun-zenith angles. To avoid this, longitude
+!-- and latitude in each model domain will be set to the values of the root model. Please note, this
+!-- synchronization is required already here.
 #if defined( __parallel )
-       CALL MPI_BCAST( init_model%latitude,  1, MPI_REAL, 0,                   &
-                       MPI_COMM_WORLD, ierr )
-       CALL MPI_BCAST( init_model%longitude, 1, MPI_REAL, 0,                   &
-                       MPI_COMM_WORLD, ierr )
+    CALL MPI_BCAST( init_model%latitude,  1, MPI_REAL, 0, MPI_COMM_WORLD, ierr )
+    CALL MPI_BCAST( init_model%longitude, 1, MPI_REAL, 0, MPI_COMM_WORLD, ierr )
 #endif
 
-    END SUBROUTINE netcdf_data_input_init
-
-
-!------------------------------------------------------------------------------!
+ END SUBROUTINE netcdf_data_input_init
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Reads Chemistry NETCDF Input data, such as emission values, emission species, etc.
-!------------------------------------------------------------------------------!
-
-    SUBROUTINE netcdf_data_input_chemistry_data(emt_att,emt)
-
-       USE chem_modules,                                       &
-           ONLY:  emiss_lod, time_fac_type, surface_csflux_name
-
-       USE control_parameters,                                 &
-           ONLY:  message_string
-
-       USE indices,                                            &
-           ONLY:  nxl, nxr, nys, nyn
-
-       IMPLICIT NONE
-
-       TYPE(chem_emis_att_type), INTENT(INOUT)                             ::  emt_att
-       TYPE(chem_emis_val_type), ALLOCATABLE, DIMENSION(:), INTENT(INOUT)  ::  emt
-    
-       INTEGER(iwp)  ::  i, j, k      !< generic counters
-       INTEGER(iwp)  ::  ispec        !< index for number of emission species in input
-       INTEGER(iwp)  ::  len_dims     !< Length of dimension
-       INTEGER(iwp)  ::  num_vars     !< number of variables in netcdf input file
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE netcdf_data_input_chemistry_data( emt_att, emt )
+
+    USE chem_modules,                                                                              &
+        ONLY:  emiss_lod, surface_csflux_name, time_fac_type
+
+    USE control_parameters,                                                                        &
+        ONLY:  message_string
+
+    USE indices,                                                                                   &
+        ONLY:  nxl, nxr, nys, nyn
+
+    IMPLICIT NONE
+
+    TYPE(chem_emis_att_type), INTENT(INOUT)                            ::  emt_att
+    TYPE(chem_emis_val_type), ALLOCATABLE, DIMENSION(:), INTENT(INOUT) ::  emt
+
+    INTEGER(iwp) ::  i, j, k      !< generic counters
+    INTEGER(iwp) ::  ispec        !< index for number of emission species in input
+    INTEGER(iwp) ::  len_dims     !< Length of dimension
+    INTEGER(iwp) ::  num_vars     !< number of variables in netcdf input file
 
 !
 !-- dum_var_4d are designed to read in emission_values from the chemistry netCDF file.
-!-- Currently the vestigial "z" dimension in emission_values makes it a 5D array,
-!-- hence the corresponding dum_var_5d array.  When the "z" dimension is removed
-!-- completely, dum_var_4d will be used instead
-!-- (ecc 20190425) 
-
-!       REAL(wp), ALLOCATABLE, DIMENSION(:,:,:,:)    ::  dum_var_4d  !< temp array 4 4D chem emission data
-       REAL(wp), ALLOCATABLE, DIMENSION(:,:,:,:,:)  ::  dum_var_5d  !< temp array 4 5D chem emission data
+!-- Currently the vestigial "z" dimension in emission_values makes it a 5D array, hence the
+!-- corresponding dum_var_5d array. When the "z" dimension is removed completely, dum_var_4d will be
+!-- used instead (ecc 20190425)
+
+!    REAL(wp), ALLOCATABLE, DIMENSION(:,:,:,:)    ::  dum_var_4d  !< temp array 4 4D chem emission data
+    REAL(wp), ALLOCATABLE, DIMENSION(:,:,:,:,:) ::  dum_var_5d  !< temp array 4 5D chem emission data
 
 !
